<?php

//==================================================

include ("conexion.php");

//======================= CUANTOS EN EJECUTAR SALIDA ===========
if (isset($_GET['cuantos']))
{
	//OBTENGO LA CLAVE, CANTIDAD Y FOLIO
	$cuantos=$_GET['cuantos'];
	
	for($x=1; $x <= $cuantos; $x++)
	{
	echo "<table width='100%' border='0' cellpadding='0' cellspacing='5' bgcolor='#CEEFFF'>";
    echo "<tr>";
        echo "<td width='150' height='26' valign='middle' class='style4'><div align='right'>Agregar Producto $x: </div></td>";
        echo "<td width='243' valign='middle'>";
        echo "<input type='text' class='cuadrotexto' id='nombre".$x."' name='nombre".$x."' onkeyup='ajax_showOptions(this,&quot;getCountriesByLetters&quot;,event)' value='' size='40' autocomplete='off' />";
        //echo "<input name='clave".$x."' type='text' class='cuadrotexto' id='clave".$x."' size='3' /></td>";
		echo "<input name='nombre".$x."_hidden' type='hidden' class='cuadrotexto' id='nombre".$x."_hidden' size='3' /></td>";
        echo "<td width='139' valign='middle' class='style4'><div align='right'>Cantidad a entregar: </div></td>";
        echo "<td width='227' valign='middle'><span class='style4'>";
        echo "<input name='cantidad".$x."' type='text' class='cuadrotexto' id='cantidad".$x."' size='5' maxlength='10' onkeypress='if (event.keyCode &lt; 45 || event.keyCode &gt; 57) event.returnValue = false;' />";
        echo "</span></td>";
    echo "</tr>";
    echo "</table>";
	}

}//END



//====================== ELIMINAR PRODUCTO DE SALIDA ==================================
/*
if (isset($_GET['claveBorra']) and isset($_GET['folio']))
{
		$borra=$_GET['claveBorra'];
		$folio=$_GET['folio'];

		$cons5="DELETE FROM contenido_salida Where clave = '$borra' and idPaquete = '$folio'" ;
		$res5=mysql_query($cons5,$conex) or die ("No se elimino el producto del paquete");
		$cons001="SELECT * FROM productos WHERE clave='$borra'";
		$res001=mysql_query($cons001,$conex) or die ("No se ejecuto cons01");
		$nomproduct=mysql_result($res001,0,'nombre');

		echo "<center><span class='style3'>Producto ".$borra." - ".$nomproduct." cancelado.</span></center><br>";
		echo "<br>";
}//END if
*/


//========================================== AGREGAR PRODUCTO A SALIDA==============================

if (isset($_GET['clave'])and ($_GET['cantidad']) )
{
		//OBTENGO LA CLAVE, CANTIDAD Y FOLIO
		$clave=$_GET['clave'];
		$cantidad=$_GET['cantidad'];
		$consfolio=$_GET['folio'];

		//verifico si existe el producto ya en el paquete
		$cons10="SELECT * FROM contenido_salida WHERE idProducto='$clave' and idSalida='$consfolio'";
		$res10=mysql_query($cons10,$conex) or die ("No se realizo cons10");		
		$num_filas=mysql_num_rows($res10);

		if ($num_filas == 0)
		{
			$cons30="INSERT INTO contenido_salida (idSalida,idProducto,cantidad,entregado) VALUES ('$consfolio','$clave','$cantidad','No')";
			$res30=mysql_query($cons30,$conex) or die ("No se realizó cons30");
		}
		else
		{
			$cant_anterior=mysql_result($res10,0,'cantidad');
			$cant_final=$cant_anterior + $cantidad;
			$cons20="UPDATE contenido_salida SET cantidad='$cant_final',entregado='No' WHERE idSalida='$consfolio' and idProducto='$clave'";
			$res20=mysql_query($cons20,$conex) or die ("No se realizó cons20");
		}

		echo "<center><span class='style3'>Producto ".$clave." agregado!</span></center><br>";

/*
//===================================== IMPRESION DE TABLA

echo "<table border=0 align='center' cellpadding='2'>";
echo "<tr bgcolor='#4E5B7B' class='titulo'>";

echo "<td class='style4' align='center'>";
echo "ENTREGADO";
echo "</td>";

echo "<td class='style4' align='center'>";
echo " Id ";
echo "</td>";

echo "<td class='style4' align='center'>";
echo "Nombre";
echo "</td>";



echo "<td class='style4' align='center'>";
echo "Presentaci&oacute;n";
echo "</td>";

echo "<td class='style4' align='center'>";
echo "Cantidad";
echo "</td>";



echo "<td>";
echo "Cambiar";
echo "</td>";

echo "</tr>";

	$cons3="SELECT idProducto,cantidad,entregado FROM contenido_salida WHERE idSalida='$consfolio'";
	$res3=mysql_query($cons3,$conex) or die ("No se realizo el barrido en la tabla contenido_salida");
	while($fila2 = mysql_fetch_array($res3))
	{		
			$query="SELECT clave,nombre,clasificacion FROM productos Where clave='$fila2[0]'";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			$numero_filas=mysql_num_rows($result);
			$numero_campos= mysql_num_fields($result);
			while($fila = mysql_fetch_array($result))
			{

				echo "<tr>";

				//CONSULTO NOMBRE DE LA PRESENTACION
				$cons1="SELECT idPresentacion FROM  productos WHERE clave='".$fila[0]."'";
				$res1=mysql_query($cons1,$conex) or die ("No consulto ID de presentacion");
				$idpresen=mysql_result($res1,0,'idPresentacion');
				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$idpresen'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presen=mysql_result($res2,0,'presentacion');

				//IMPRIMO CHECKBOX

				if ($fila2[2]=='No')
				{$status="";}
				else
				{$status="disabled";}

				echo "<td class='style1' align='center'>";
				echo "<input name='entregados[]' type='checkbox' value='".$fila[0]."' ".$status.">";
				echo "</td>";

					echo "<td class='style1'>";
					echo $fila[0];
					echo "</td>";

					echo "<td class='style1'>";
					echo $fila[1];
					echo "</td>";

				//IMPRIMO PRESENTACION
				echo "<td class='style1'>";
				echo $presen;
				echo "</td>";

				//CANTIDAD
				echo "<td class='titulo' bgcolor='#999999'  align='center'>";
				echo $fila2[1];
				echo "</td>";

				//CAMBIOS
				if ($fila[2] == "Contables variables")
				{
					echo "<td align='center'>";								
					echo "<a href='cambiosenvariables.php?venta=".$consfolio."&producto=".$fila[0]."' rel='lightbox_text'><img src='img/icon_change.jpg' border='0' ALT='Elegir medida o talla'> </a>";
					echo "</td>";
				}

				if ($fila[2] == "Liquidos - polvos")
				{
					echo "<td align='center'>";
					echo "<a href='cambiosenliquidos.php?venta=".$consfolio."&producto=".$fila[0]."' rel='lightbox_text'><img src='img/icon_change.jpg' border='0' ALT='Seleccionar otro liquido o polvo'> </a>";
					echo "</td>";
				}
				if ($fila[2] == "Materiales de impresion")
				{
					echo "<td align='center'>";
					echo "<a href='cambiosenmateriales.php?venta=".$consfolio."&producto=".$fila[0]."' rel='lightbox_text'><img src='img/icon_change.jpg' border='0' ALT='Selecciona otro material'> </a>";
					echo "</td>";
				}
			}

echo "</tr>";
}

echo "</table>";
*/



}//END



//======================================================>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

if (isset($_GET['folioentrega'])and ($_GET['cantidad']) )
{
		$folio=$_GET['folioentrega'];
		$cantidad=$_GET['cantidad'];
		$producto=$_GET['prod'];
		$entregados=0;
		
		$cons1="SELECT cantidad FROM contenido_salida WHERE idSalida='$folio' and idProducto='$producto'";
		$res1=mysql_query($cons1,$conex) or die ("No se realizo cons1");
		$derecho=mysql_result($res1,0,'cantidad');
		
		$cons3="SELECT entregado FROM entregas_material WHERE idSalida='$folio' and clave='$producto'";
		$res3=mysql_query($cons3,$conex) or die ("No se realizo cons1");
		
		while($filaentr=mysql_fetch_row($res3))
			{
				$entregados=$entregados + $filaentr[0];
			}
				
		$fecha=date("Y-m-d");
		$totalentregados=$entregados+$cantidad;

		if ($totalentregados == $derecho)
		{
			$cons4="INSERT INTO entregas_material (idSalida,clave,entregado,fecha) VALUES ('$folio','$producto','$cantidad','$fecha')";
			$res4=mysql_query($cons4,$conex) or die ("No se realizo cons4");
			
			$cons2="UPDATE contenido_salida SET entregado='Si' WHERE idSalida='$folio' and idProducto='$producto'";
			$res2=mysql_query($cons2,$conex) or die ("No se realizo cons2-1");
		}
		else
		{
			$cons4="INSERT INTO entregas_material (idSalida,clave,entregado,fecha) VALUES ('$folio','$producto','$cantidad','$fecha')";
			$res4=mysql_query($cons4,$conex) or die ("No se realizo cons4");
		}
}

//======================================================>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

if (isset($_GET['genera']))
{
	$folio=$_GET['genera'];
	
	$cons80="SELECT idTratamiento FROM salida WHERE idSalida='$folio'";
	$res80=mysql_query($cons80,$conex) or die ("No se ejecuto cons80");
	$tratamiento=mysql_result($res80,0,'idTratamiento');
		
	$cons1011="SELECT idPaquete FROM contenido_tratamientocompleto WHERE idTratamiento='$tratamiento'";
	$res1011=mysql_query($cons1011,$conex) or die ("No se ejecuto cons101");
	while ($filat=mysql_fetch_row($res1011))
	{
		//SELECCIONO TODO EL CONTENIDO DEL PAQUETE
		$cons8="SELECT clave,cantidad FROM contenido_paquete WHERE idPaquete='$filat[0]'";
		$res8=mysql_query($cons8,$conex) or die ("No se ejecuto el primer paso cons8");
		while ($filax=mysql_fetch_row($res8))
		{
			//LO INSERTO A LA TABLA DE CONTENIDO		
			$cons10="INSERT INTO contenido_salida (idSalida,idProducto,cantidad) VALUES ('$folio','$filax[0]','$filax[1]')";
			$res10=mysql_query($cons10,$conex) or die ("No se realizo cons10");
		}
	}
}
		
//===CERRAR CONEXION
mysql_close($conex);
?>